[needs-packaging] Ninja-IDE Python needs packaging

Bug #743729 reported by juancarlospaco on 2011-03-27
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
Ubuntu
Wishlist
Unassigned

Bug Description

Ninja Python IDE v1.1+ needs packaging for Ubuntu.

Not avaliable on Ubuntu or Debian ATM:
http://packages.debian.org/ninja
http://packages.ubuntu.com/ninja

Description:
NINJA-IDE (from: "Ninja Is Not Just Another IDE"), is a cross-platform integrated development environment specially design to build Python Applications.
NINJA-IDE provides tools to simplify the Python-software development and handles all kinds of situations thanks to its rich extensibility.

HomePage:
http://ninja-ide.org

Dependencies and Info:
Package: ninja-ide
Version: 1.1
Installed-Size: 3008
Source: ninja-ide
Maintainer: Diego Sarmentero <email address hidden>
Section: python
Homepage: http://ninja-ide.org
Priority: optional
Architecture: all
Depends: python (>=2.6), python-qt4 (>=4.6), python-pygments (>=1.0), python-rope (>=0.9.2)
Description: Ninja IDE
 Ninja Is Not Just Another IDE, is a cross-platform integrated development environment specially designed to build Python Applications. Featuring Multi-Language code editor, Code Completion, Embedded Python Console, Manage Projects, Run File and Projects, Configurable GUI.

Get a local copy of the ninja-ide repository with this command:
hg clone https://ninja-ide.googlecode.com/hg/ ninja-ide

Source here: http://code.google.com/p/ninja-ide/

juancarlospaco (juancarlospaco) wrote :
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

summary: - Ninja-IDE Python needs packaging
+ [needs-packaging] Ninja-IDE Python needs packaging
Changed in ubuntu:
importance: Undecided → Wishlist
description: updated
juancarlospaco (juancarlospaco) wrote :

This needs a MOTU maintainer please, the project worth it, it have an Award from Qt recently.

Hans Joachim Desserud (hjd) wrote :

Thanks for reporting.

Looking at the publishing history [1], it looks like https://launchpad.net/ubuntu/+source/ninja-ide has been available in Ubuntu since 12.04. :)

[1] https://launchpad.net/ubuntu/+source/ninja-ide/+publishinghistory

Changed in ubuntu:
status: New → Fix Released
Changed in debian:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.